Debian Bug report logs - #504524
AWT_TOOLKIT=MToolkit causes java to segfault on amd64

version graph

Package: sun-java6; Maintainer for sun-java6 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: martin f krafft <madduck@debian.org>

Date: Tue, 4 Nov 2008 19:51:02 UTC

Severity: important

Merged with 525387, 535598

Found in versions 6-07-4, 6-10-2

Forwarded to http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6570063

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gregor herrmann <gregoa@debian.org>:
Bug#504524; Package jabref. (Tue, 04 Nov 2008 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
New Bug report received and forwarded. Copy sent to gregor herrmann <gregoa@debian.org>. (Tue, 04 Nov 2008 19:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segfaults with MToolkit on amd64
Date: Tue, 4 Nov 2008 20:47:40 +0100
[Message part 1 (text/plain, inline)]
Package: jabref
Version: 2.3.1-5
Severity: normal

When running jabref with AWT_TOOLKIT=MToolkit in the environment[0],
jabref segfaults on amd64. It starts fine without the variable (but
shows an empty window), and it works with the variable on i386.

0. http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6322854

piper:~|master|% jabref                                                                          #10024
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fbf007c44af, pid=28068, tid=1093007696
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (11.0-b15 mixed mode linux-amd64)
# Problematic frame:
# C  [libc.so.6+0x304af]  catgets+0x1f
#
# An error report file with more information is saved as:
# /home/madduck/phd/thesis/hs_err_pid28068.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
zsh: abort      jabref

The error log is attached.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages jabref depends on:
ii  antlr                       2.7.7-9      language tool for constructing rec
ii  antlr3                      3.0.1+dfsg-4 language tool for constructing rec
ii  libglazedlists-java         1.7.0.dfsg-3 java list transformation library
ii  libjempbox-java             0.2.0.dfsg-1 XMP Compatible Java Library
ii  libjgoodies-forms-java      1.2.0-1      Framework to lay out and implement
ii  libjgoodies-looks-java      2.2.1-1      library with Swing look&feel imple
ii  libmicroba-java             1:0.4.4.3-2  set of JFC (Swing) components
ii  libpdfbox-java              0.7.3.dfsg-2 PDF library for Java
ii  libspin-java                1.5-1        transparent threading solution for
ii  sun-java6-jre               6-10-2       Sun Java(TM) Runtime Environment (

jabref recommends no packages.

Versions of packages jabref suggests:
ii  epdfview [pdf-viewer]    0.1.6-7         Lightweight pdf viewer based on po
ii  evince-gtk [postscript-v 2.22.2-4        Document (postscript, pdf) viewer 
ii  ghostscript [postscript- 8.62.dfsg.1-3.1 The GPL Ghostscript PostScript/PDF
ii  gv [postscript-viewer]   1:3.6.5-2       PostScript and PDF viewer for X
ii  kghostview [postscript-v 4:3.5.9-3       PostScript viewer for KDE
ii  xpdf                     3.02-1.4        Portable Document Format (PDF) sui
ii  xpdf-reader [pdf-viewer] 3.02-1.4        Portable Document Format (PDF) sui

-- no debconf information


-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[hs_err_pid28068.log (text/plain, attachment)]
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gregor herrmann <gregoa@debian.org>:
Bug#504524; Package jabref. (Wed, 05 Nov 2008 16:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to gregor herrmann <gregoa@debian.org>. (Wed, 05 Nov 2008 16:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 504524@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 504524@bugs.debian.org
Subject: actually a bug in sun java
Date: Wed, 5 Nov 2008 17:01:00 +0100
[Message part 1 (text/plain, inline)]
notfound 504524 2.3.1-5
reassign 504524 sun-java6
found 504524 6-10-2
forwarded 504524 http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6570063
retitle 504524 AWT_TOOLKIT=MToolkit causes java to segfault on amd64
severity 504524 grave
thanks

This seems to happen across a wide range of applications, and
MToolkit is needed to make Java show any UI items with newer Xorg.

Given then ubiquity of amd64, this really makes Java unsuitable for
release, I think. It's non-free anyway.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug no longer marked as found in version 2.3.1-5. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 05 Nov 2008 16:03:08 GMT) Full text and rfc822 format available.

Bug reassigned from package `jabref' to `sun-java6'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 05 Nov 2008 16:03:09 GMT) Full text and rfc822 format available.

Bug marked as found in version 6-10-2. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 05 Nov 2008 16:03:10 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6570063. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 05 Nov 2008 16:03:10 GMT) Full text and rfc822 format available.

Changed Bug title to `AWT_TOOLKIT=MToolkit causes java to segfault on amd64' from `segfaults with MToolkit on amd64'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 05 Nov 2008 16:03:11 GMT) Full text and rfc822 format available.

Severity set to `grave' from `normal' Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 05 Nov 2008 16:03:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Wed, 05 Nov 2008 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Wed, 05 Nov 2008 16:06:05 GMT) Full text and rfc822 format available.

Message #27 received at 504524@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 504524@bugs.debian.org
Subject: Re: actually a bug in sun java
Date: Wed, 5 Nov 2008 17:04:08 +0100
[Message part 1 (text/plain, inline)]
found 504524 6-07-4
thanks

The bug also exists with lenny's version.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug marked as found in version 6-07-4. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 05 Nov 2008 16:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Tue, 02 Dec 2008 11:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Tue, 02 Dec 2008 11:27:07 GMT) Full text and rfc822 format available.

Message #34 received at 504524@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 504524@bugs.debian.org, madduck@debian.org
Subject: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Tue, 2 Dec 2008 13:14:38 +0200
> This seems to happen across a wide range of applications, and
> MToolkit is needed to make Java show any UI items with newer Xorg.

While I can reproduce that Mtoolkit will cause segv on amd64, I can
use jabref (and other java GUI apps) just fine with sun-java6-jre_6-10-2
from lenny, without setting AWT_TOOLKIT to anything.

The bugreport you forwarded mentioned that the bug is specific to E17
window manager, rather than new Xorg in general. Which windows manager
were you using, and did you try others?

 
-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Tue, 02 Dec 2008 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Tue, 02 Dec 2008 11:48:05 GMT) Full text and rfc822 format available.

Message #39 received at 504524@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 504524@bugs.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Tue, 2 Dec 2008 12:42:56 +0100
[Message part 1 (text/plain, inline)]
also sprach Riku Voipio <riku.voipio@iki.fi> [2008.12.02.1214 +0100]:
> While I can reproduce that Mtoolkit will cause segv on amd64, I can
> use jabref (and other java GUI apps) just fine with sun-java6-jre_6-10-2
> from lenny, without setting AWT_TOOLKIT to anything.

If I do that, the jabref window just is plain grey, no widgets
whatsoever.

> The bugreport you forwarded mentioned that the bug is specific to
> E17 window manager, rather than new Xorg in general. Which windows
> manager were you using, and did you try others?

This happens with awesome and fluxbox.
http://awesome.naquadah.org/wiki/index.php?title=Problems_with_Java
seems to suggest that it's an ICCCM-related problem.

Anyway, the segfault with MToolkit stays. :(

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Tue, 02 Dec 2008 12:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Tue, 02 Dec 2008 12:18:10 GMT) Full text and rfc822 format available.

Message #44 received at 504524@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: martin f krafft <madduck@debian.org>
Cc: 504524@bugs.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Tue, 2 Dec 2008 14:11:31 +0200
On Tue, Dec 02, 2008 at 12:42:56PM +0100, martin f krafft wrote:
> > The bugreport you forwarded mentioned that the bug is specific to
> > E17 window manager, rather than new Xorg in general. Which windows
> > manager were you using, and did you try others?

> This happens with awesome and fluxbox.
> http://awesome.naquadah.org/wiki/index.php?title=Problems_with_Java
> seems to suggest that it's an ICCCM-related problem.

I can now reproduce is reproducible with:

$ Xephyr :1
$ DISPLAY=:1 /usr/bin/awesome &
$ DISPLAY=:1 jabref

But running the suggestested workaround:

$ DISPLAY=:1 wmname compiz
$ DISPLAY=:1 jabref

Makes  work. Even using Xephyr without a window manager
at all makes jabref start just fine. I think this bug has
inflated severity..

> Anyway, the segfault with MToolkit stays. :(

I doubt there is much point in fixing the motif backend
in late 2008..


-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Tue, 02 Dec 2008 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Tue, 02 Dec 2008 12:21:04 GMT) Full text and rfc822 format available.

Message #49 received at 504524@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 504524@bugs.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Tue, 2 Dec 2008 13:17:34 +0100
[Message part 1 (text/plain, inline)]
also sprach Riku Voipio <riku.voipio@iki.fi> [2008.12.02.1311 +0100]:
> Makes  work. Even using Xephyr without a window manager
> at all makes jabref start just fine. I think this bug has
> inflated severity..

Maybe.

> > Anyway, the segfault with MToolkit stays. :(
> 
> I doubt there is much point in fixing the motif backend in late
> 2008..

Well, ideally, I would not need to use MToolkit, which would make
this bug something I couldn't care less about. But since XToolkit is
broken wrt ICCCM, I have to.

So this bug is really twofold. I think a segfault on amd64 with
MToolkit is not RC (but grave+lenny-ignore), but the fact that
XToolkit is broken wrt ICCCM is pretty bad. Whether it's RC, I don't
know. I think it is, but I am known to have higher standards than
people who want lenny out sooner rather than later.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
windows v.i.s.t.a.: viruses, infections, spyware, trojans and adware
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Tue, 02 Dec 2008 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Tue, 02 Dec 2008 13:03:05 GMT) Full text and rfc822 format available.

Message #54 received at 504524@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: martin f krafft <madduck@debian.org>
Cc: 504524@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Tue, 2 Dec 2008 14:56:27 +0200
On Tue, Dec 02, 2008 at 01:17:34PM +0100, martin f krafft wrote:
> Well, ideally, I would not need to use MToolkit, which would make
> this bug something I couldn't care less about. But since XToolkit is
> broken wrt ICCCM, I have to.

or, you could use one of the workarounds mentioned.

> So this bug is really twofold. I think a segfault on amd64 with
> MToolkit is not RC (but grave+lenny-ignore), but the fact that
> XToolkit is broken wrt ICCCM is pretty bad. Whether it's RC, I don't
> know.

Well, I'm going to touch the severity then, and leave it to the Release
team to decide on.

I am not aware of ICCCM compliance being Release Critical or even
Release goal issue. I would welcome that, as it would allow us
to boot most of the useless window managers and bunch of legacy
X11 applications from out archive...

-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Fri, 12 Dec 2008 19:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Fri, 12 Dec 2008 19:57:05 GMT) Full text and rfc822 format available.

Message #59 received at 504524@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: martin f krafft <madduck@debian.org>, 504524@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Fri, 12 Dec 2008 20:55:46 +0100
* Riku Voipio [Tue, 02 Dec 2008 14:56:27 +0200]:

> On Tue, Dec 02, 2008 at 01:17:34PM +0100, martin f krafft wrote:
> > Well, ideally, I would not need to use MToolkit, which would make
> > this bug something I couldn't care less about. But since XToolkit is
> > broken wrt ICCCM, I have to.

> or, you could use one of the workarounds mentioned.

> > So this bug is really twofold. I think a segfault on amd64 with
> > MToolkit is not RC (but grave+lenny-ignore), but the fact that
> > XToolkit is broken wrt ICCCM is pretty bad. Whether it's RC, I don't
> > know.

> Well, I'm going to touch the severity then, and leave it to the Release
> team to decide on.

> I am not aware of ICCCM compliance being Release Critical or even
> Release goal issue. I would welcome that, as it would allow us
> to boot most of the useless window managers and bunch of legacy
> X11 applications from out archive...

Do all/more applications show up with a gray window with XToolkit, and/or
segfault with MToolkit, or only jabref is known to suffer from this, for
whatever reason? If the latter, this bug should definitely be downgraded.

Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                                      Listening to: Pet Shop Boys - Rent





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Sat, 13 Dec 2008 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Sat, 13 Dec 2008 13:06:03 GMT) Full text and rfc822 format available.

Message #64 received at 504524@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 504524@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Sat, 13 Dec 2008 14:02:21 +0100
* Adeodato Simó <dato@net.com.org.es> [081212 20:55]:
> Do all/more applications show up with a gray window with XToolkit,

At least with non-reparentizing window managers (ratpoison and some
more), awt programs only show blank windows without AWT_TOOLKIT=MToolkit.

I think all java programs using awt show up without content in
non-reparentizing window managers (like ratpoison and others) without
AWT_TOOLKIT=MToolkit.

http://codesnippets.joyent.com/posts/show/1499

Googling around it also looks like compiz/beryl see sometimes similar
problems:

ttp://linux.dsplabs.com.au/java-jvm-missing-no-menu-broken-blank-gui-ompiz-fusion-beryl-xgl-bug-swing-awt-netbeans-matlab-error-fix-p53/

> and/or
> segfault with MToolkit, or only jabref is known to suffer from this,

I'm lacking java knowledge or even knowledge what awt java programs
are out there to say something about this, but testing a few things
with dependencies against openjdk-6-jre on amd64:

josm gets and empty window (after the correctly showing banner) in
ratpoison without AWT_TOOLKIT=MToolkit and with it does not start
with:
Exception in thread "main" java.lang.UnsatisfiedLinkError: Can't load library: /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/motif21/libmawt.so

jftp gives an empty window without, and also fails with
Exception in thread "main" java.lang.UnsatisfiedLinkError: Can't load library: /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/motif21/libmawt.so

Hochachtungsvoll,
	Bernhard R. Link




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Sat, 13 Dec 2008 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Sat, 13 Dec 2008 16:30:04 GMT) Full text and rfc822 format available.

Message #69 received at 504524@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 504524@bugs.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Sat, 13 Dec 2008 17:28:31 +0100
* Bernhard R. Link <brlink@debian.org> [081213 13:02]:
> I'm lacking java knowledge or even knowledge what awt java programs
> are out there to say something about this, but testing a few things
> with dependencies against openjdk-6-jre on amd64:

Oops, just realized this particular bug is assigned to sun-java6 and not
openjdk-6, so please ignore my tests about what happens there with MToolkist...

I'm preparing some patch to openjdk-6 so that it gets a workaround for
the empty windows, but the test-cases in the package build take ages
(and it fails with dpkg-buildpackage -j2), so that will need some time
before I can tell more.

Hochachtungsvoll,
	Bernhard R. Link




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Mon, 29 Dec 2008 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Mon, 29 Dec 2008 08:00:03 GMT) Full text and rfc822 format available.

Message #74 received at 504524@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 504524@bugs.debian.org, Matthias Klose <doko@ubuntu.com>, Juergen Kreileder <jk@blackdown.de>, Barry Hawkins <barry@alltc.com>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: martin f krafft <madduck@debian.org>, 504524-submitter@bugs.debian.org
Subject: Re: Bug#504524: segfaults with MToolkit on amd64
Date: Mon, 29 Dec 2008 18:56:24 +1100
On Wednesday 05 November 2008 06:47:40 martin f krafft wrote:
> When running jabref with AWT_TOOLKIT=MToolkit in the environment[0],
> jabref segfaults on amd64. It starts fine without the variable (but
> shows an empty window), and it works with the variable on i386.
>
> 0. http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6322854

Matthias, Juergen, Barry & Jeroen,

Discussion on this RC bug against your package seems to have died down in the 
last couple of weeks and there doesn't appear to be any comment from you on 
your thoughts on the bug/ way forward.

Are you in a position to comment on this bug and document your proposed way 
forward for this RC bug in lenny?

Thanks,
Mark




Message sent on to martin f krafft <madduck@debian.org>:
Bug#504524. (Mon, 29 Dec 2008 08:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Mon, 05 Jan 2009 23:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Itai Zukerman <zukerman@math-hat.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Mon, 05 Jan 2009 23:27:02 GMT) Full text and rfc822 format available.

Message #82 received at 504524@bugs.debian.org (full text, mbox):

From: Itai Zukerman <zukerman@math-hat.com>
To: 504524@bugs.debian.org
Subject: Re: Bug#504524: segfaults with MToolkit on amd64
Date: Mon, 05 Jan 2009 15:25:11 -0800
I just came across this bug report, tried wmname, and found that it
fixed my issues with running jconsole on amd64 and XMonad.

I suggest you include a mention of wmname and the problem in general
in your README.Debian.  I've been trying to find a workaround for this
issue for weeks.  A mention in the readme would have helped...




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Tue, 27 Jan 2009 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter van Heyst <wouter@treparel.be>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Tue, 27 Jan 2009 16:36:04 GMT) Full text and rfc822 format available.

Message #87 received at 504524@bugs.debian.org (full text, mbox):

From: Wouter van Heyst <wouter@treparel.be>
To: 504524@bugs.debian.org
Subject: AWT_TOOLKIT grey area/segfault
Date: Tue, 27 Jan 2009 17:34:49 +0100
Other programs that only show a grey square without setting AWT_TOOLKIT,
or segfault if you set it to MToolkit are the Netbeans 6.5 installer
(and I suppose the program if I ever get it to install) and Oracle's
sqldeveloper.

Wouter




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Wed, 11 Feb 2009 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Wed, 11 Feb 2009 18:09:05 GMT) Full text and rfc822 format available.

Message #92 received at 504524@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: 504524@bugs.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Wed, 11 Feb 2009 19:06:17 +0100
tag 504524 + moreinfo
thanks

This should be rechecked with 6-12-1.

I don't consider this as RC, as it does work with most commonly used
window managers. Please sugest how this behaviour should be documented
in the package.




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Thu, 12 Feb 2009 14:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Thu, 12 Feb 2009 14:42:27 GMT) Full text and rfc822 format available.

Message #97 received at 504524@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Matthias Klose <doko@cs.tu-berlin.de>, 504524@bugs.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Thu, 12 Feb 2009 15:39:42 +0100
On Wed, Feb 11, 2009 at 07:06:17PM +0100, Matthias Klose wrote:
> tag 504524 + moreinfo
> thanks
> 
> This should be rechecked with 6-12-1.
> 
> I don't consider this as RC, as it does work with most commonly used
> window managers. Please sugest how this behaviour should be documented
> in the package.

It seems to be not fixed: [I'm using awesome]

$ AWT_TOOLKIT=MToolkit ./netbeans-6.5-ml-javase-linux.sh 
Configuring the installer...
Searching for JVM on the system...
Extracting installation data...
Running the installer wizard...
./netbeans-6.5-ml-javase-linux.sh: line 1597: 16952 Aborted
/usr/lib/jvm/java-6-sun/jre/bin/java -Xmx256m -Xms64m -Djava.io.tmpdir=/tmp
-classpath /tmp/.nbi-4023609.tmp/bundle.jar org.netbeans.installer.Installer

[dump attached]

while without AWT_TOOLKIT it shows a blank window.

ii  awesome          3.1-1
ii  sun-java6-bin    6-12-1      
ii  sun-java6-jdk    6-12-1      
ii  sun-java6-jre    6-12-1      


filippo
--
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

Felix, qui potuit rerum cognoscere causas.
Happy is he who understands the causes of things.
-- Virgil




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@ubuntu.com>:
Bug#504524; Package sun-java6. (Thu, 12 Feb 2009 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@ubuntu.com>. (Thu, 12 Feb 2009 17:12:03 GMT) Full text and rfc822 format available.

Message #102 received at 504524@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 504524@bugs.debian.org
Subject: Re: Bug#504524: AWT_TOOLKIT=MToolkit causes java to segfault on amd64
Date: Thu, 12 Feb 2009 18:09:22 +0100
[Message part 1 (text/plain, inline)]
On Thu, Feb 12, 2009 at 03:39:42PM +0100, Filippo Giunchedi wrote:
> $ AWT_TOOLKIT=MToolkit ./netbeans-6.5-ml-javase-linux.sh 
> Configuring the installer...
> Searching for JVM on the system...
> Extracting installation data...
> Running the installer wizard...
> ./netbeans-6.5-ml-javase-linux.sh: line 1597: 16952 Aborted
> /usr/lib/jvm/java-6-sun/jre/bin/java -Xmx256m -Xms64m -Djava.io.tmpdir=/tmp
> -classpath /tmp/.nbi-4023609.tmp/bundle.jar org.netbeans.installer.Installer
> 
> [dump attached]

attached _now_

filippo
--
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

What a strange illusion it is to suppose that beauty is goodness.
-- Lev Tolstoj
[hs_err_pid15348.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#504524; Package sun-java6. (Fri, 28 Aug 2009 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 28 Aug 2009 11:09:04 GMT) Full text and rfc822 format available.

Message #107 received at 504524@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 504524@bugs.debian.org, 504524-submitter@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: severity of report #504524 (AWT_TOOLKIT=MToolkit)
Date: Fri, 28 Aug 2009 12:52:34 +0200
severity 504524 important
thanks

Martin, I mentioned this issue in README.Debian in the recent upload, afaiu this 
problem can be avoided with other window manager, plus it doesn't affect any 
non-GUI java program.

  Matthias




Severity set to 'important' from 'grave' Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Fri, 28 Aug 2009 11:09:06 GMT) Full text and rfc822 format available.

Message sent on to martin f krafft <madduck@debian.org>:
Bug#504524. (Fri, 28 Aug 2009 11:09:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#504524; Package sun-java6. (Sun, 30 Aug 2009 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sun, 30 Aug 2009 18:18:04 GMT) Full text and rfc822 format available.

Message #117 received at 504524@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 504524@bugs.debian.org
Subject: workaround for java borken with some window managers
Date: Sun, 30 Aug 2009 20:04:00 +0200
I just stubled over this bug report again and wanted to note there
is already a patch from me in openjdk to work around java's broken
behaviour (assuming a re-parentising window manager if it does not
know the window manager and waiting infinitely for reparentising to
happen in this case which causes the gray windows).

I do not know if that is also applicable to sun6-java, but I guess
there are good chances:

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=nonreparenting-wm.diff;att=1;bug=508650

Hochachtungsvoll,
	Bernhard R. Link

P.S: I personally do not consider #508650 closed by that patch, that's why
I did not close it with that NMU back then. All it does it is adding a
possiblity for the user to work around it. A bit better would be to add
checks for all non-reparentising window managers in there and even better
to not make that broken behaviour, intended to work around some shortcomings
in one historic window manager, the default for every unknown window
manager. (But back then I wanted to have at least some workaround in
lenny).

But even if that (java giving gray windows with non-parantising wms
not in java's exclude list) is finally fixed, there might sitll be
people that have AWT_TOOLKIT=MToolkit in their environment because
it was once a workaround (or because some people prefered motif
behaviour). I think it would be better if there was some error message
instead of just segfaulting...




Added indication that 504524 affects jabref Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 15 Sep 2009 22:03:03 GMT) Full text and rfc822 format available.

Forcibly Merged 504524 525387. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 16 Sep 2009 16:09:09 GMT) Full text and rfc822 format available.

Forcibly Merged 504524 525387 535598. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 17 Sep 2009 16:12:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#504524; Package sun-java6. (Tue, 24 Nov 2009 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 24 Nov 2009 17:27:05 GMT) Full text and rfc822 format available.

Message #128 received at 504524@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 504524@bugs.debian.org
Subject: hit this bug with PdfLicenseManager
Date: Tue, 24 Nov 2009 11:57:45 -0500
If you need yet another app to test-drive your solutions:

http://wiki.creativecommons.org/PdfLicenseManager

I am running awesome 3.4.1-1

few times I've got that java app started with actual content
(buttons/drop-downs) painted in the window nicely but not reacting. Most
of the time, it starts just with blank window and does nothing and does
not react to anything.

I've tried all of the following alternatives:
$> sudo update-alternatives --config java          
There are 4 choices for the alternative java (providing /usr/bin/java).
 
  Selection    Path                                      Priority   Status
------------------------------------------------------------
  0            /usr/lib/jvm/java-6-openjdk/jre/bin/java   1061      auto mode
  1            /usr/bin/gij-4.3                           43        manual mode
  2            /usr/lib/jvm/java-6-openjdk/jre/bin/java   1061      manual mode
* 3            /usr/lib/jvm/java-6-sun/jre/bin/java       63        manual mode
  4            /usr/lib/jvm/java-gcj/jre/bin/java         1043      manual mode

with or without AWT_TOOLKIT=MToolkit

-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]






Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:48:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.